
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java的基本数据类型和包装类的关系 / iVAN</title>

    <meta name="description" content="Java的基本数据类型和包装类的关系 Java是一种面向对象语言,java中的类把方法与数据连接在一起,并构成了自包含式的处理单元.但在Java中不能定义基本类型(primitive type),为了能将基本类型视为对象来处理,并能连接相关的方法,Java为每个基本类型都提供了包装类,这样,我们便可以把这些基本类型转化为对象来处理了.这些包装类有:Boolean,Byte,Short,Character,Integer,Long,Float,Void等. 值得说明的是,java是可以直接处理基本类型的,但是在有些情况下我们需要将其作">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java的基本数据类型和包装类的关系</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Java是一种面向对象语言,java中的类把方法与数据连接在一起,并构成了自包含式的处理单元.但在Java中不能定义基本类型(primitive type),为了能将基本类型视为对象来处理,并能连接相关的方法,Java为每个基本类型都提供了包装类,这样,我们便可以把这些基本类型转化为对象来处理了.这些包装类有:Boolean,Byte,Short,Character,Integer,Long,Float,Void等.</p>
<p>值得说明的是,java是可以直接处理基本类型的,但是在有些情况下我们需要将其作为对象来处理,这时就需要将其转化为包装类了.所有的包装类(Wrapper Class)都有共同的方法,他们是:</p>
<p>(1)带有基本值参数并创建包装类对象的构造函数.如可以利用Integer包装类创建对象,Integer obj=new Integer(145);</p>
<p>(2)带有字符串参数并创建包装类对象的构造函数.如new Integer("-45.36");</p>
<p>(3)生成字符串表示法的toString()方法,如obj.toString().</p>
<p>(4)对同一个类的两个对象进行比较的equals()方法,如obj1.eauqls(obj2);</p>
<p>(5)生成哈稀表代码的hashCode方法,如obj.hasCode();</p>
<p>(6)将字符串转换为基本值的 parseType方法,如Integer.parseInt(args[0]);</p>
<p>(7)可生成对象基本值的typeValue方法,如obj.intValue();</p>
<p>在一定的场合,运用Java包装类来解决问题,能大大提高编程效率。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 03:33:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/integer/" title="integer">integer</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e6%9c%ac/" title="基本">基本</a>, <a href="https://www.iamivan.net/tag/java%e7%b1%bb%e7%9a%84%e9%97%ae%e9%a2%98/" title="java类的问题">java类的问题</a>, <a href="https://www.iamivan.net/tag/%e5%8c%85%e8%a3%85/" title="包装">包装</a>, <a href="https://www.iamivan.net/tag/java%e7%b1%bb%e7%9a%84%e9%97%ae%e9%a2%98%e2%80%a6%e2%80%a6/" title="java类的问题&hellip;&hellip;">java类的问题&hellip;&hellip;</a>, <a href="https://www.iamivan.net/tag/java%e5%af%b9%e8%b1%a1%e8%bd%ac%e5%8c%96/" title="java对象转化">java对象转化</a>, <a href="https://www.iamivan.net/tag/%e5%8c%85%e8%a3%85%e7%b1%bb/" title="包装类">包装类</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e6%9c%ac%e7%b1%bb%e5%9e%8b/" title="基本类型">基本类型</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e6%9c%ac%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="基本数据类型">基本数据类型</a>, <a href="https://www.iamivan.net/tag/java-%e5%9f%ba%e6%9c%ac%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="java 基本数据类型">java 基本数据类型</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java的基本数据类型和包装类的关系的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z75x1dM.html" rel="bookmark">Java基础之011-Java基本数据类型及其包装类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java基础之011-Java基本数据类型及其包装类                                                                           老帅 1.Java有8种基本数据类型 类型 包装类 位数 最小值 最大值 byte java.lang.Byte 8 Byte.MIN_VALUE=-128 Byte.MAX_VALUE=127 short java.lang.Short 16 Short.MIN_VALUE=-32768 Sho			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0WEZDb.html" rel="bookmark">java中基本数据类型的泛型问题。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中基本数据类型的泛型问题. 比如Integer这么写有错误么还是int Integerint求解答 我搞不明白 解决方案 Integer是int的包装类.泛型在Java中要求,必须是Object类型的,但是int是基本数据类型,如果写List a 定义一个整型的集合就是错误的,这里就需要用到 int 的包装类 Integer: List a 这样就是正确的~ 解决方案二: 你明白什么是泛型吗?看看泛型定义你就知道了 解决方案三: java的基本数据类型是无符号的Java基本数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqNlxb.html" rel="bookmark">传入参数-java如何传递数据类型？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java如何传递数据类型? java如何使用数据类型作为方法的传入参数, 我想写一个方法,它的传入参数为数据类型,我想以此数据类型再动态声明变量, 不知道java是否支持这么干,反射可否做到? 最近思考这个,未能得出解决办法,请各位赐教 [这是我的所有c币了] 我想通过传入一个 以 数据类型作为参数(记为A),在调用methodB的时候传入 该数据类型,然后在methodB中以A为数据类型定义变量 methodB(Type A){ A a;//我只想以参数中的A作为a的数据类型 来声明			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kxaZM.html" rel="bookmark">java基础（数据类型，运算符）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java基础之数据类型(变量) java中存在的数据有常量和变量 常量:在程序执行的过程中其值不可以发生改变 常量的分类 字面值常量 字面值常量的分类 常量 描述 字符串常量 用双引号括起来的内容 整数常量 所有整数 小数常量 所有小数 字符常量 用单引号括起来的内容,里面只能放单个数字,单个字母或单个符号 布尔常量 较为特殊,只有true和false 空常量 null(数组部分) - - 自定义常量 变量:在程序执行的过程中,在某个范围内其值可以发生改变的量 定义格式: 数据类型 变量名 =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7Gvgp.html" rel="bookmark">《Java 7程序设计入门经典》一2&period;2　Java的基本数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 Java的基本数据类型 Java包括两大类内置的数据类型:面向对象的数据类型和非面向对象的数据类型.Java中面向对象的数据类型由类定义,在后面会有类的介绍.但是,Java的核心是8种基本数据类型(也称元素数据类型或简单数据类型),如表2-1所示.这里使用&quot;基本&quot;(primitive)这个词来表示,从面向对象的角度看,这些类型不是对象,而是普通的二进制值.出于有效性,这些基本数据类型不是对象. Java为每个基本数据类型严格指定范围和行为.所有Java虚拟机都必须支持这些.因为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj82Bnp.html" rel="bookmark">深入解析Java中的数据类型与变量&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java数据类型转换(自动转换和强制转换)数据类型的转换,分为自动转换和强制转换.自动转换是程序在执行过程中&quot;悄然&quot;进行的转换,不需要用户提前声明,一般是从位数低的类型向位数高的类型转换:强制类型转换则必须在代码中声明,转换顺序不受限制. 自动数据类型转换 自动转换按从低到高的顺序转换.不同类型数据间的优先关系如下:     低---------------------------------------------&gt;高     byte,short,char-&gt; int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdYadz.html" rel="bookmark">Java中基本数据类型与流的操作方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据类型 Java中除了二进制文件和使用文本文件外还有基于Data的数据操作,这里的Data指的是Java的基本数据类型和String.基本数据类型包括byte.int.char.long.float.double.boolean和short. 说到Java的基本数据类型必须谈到的两个类是DataInputStream和DataOutputStream.它们提供了对Java基本数据类型的操作,但是这些方法事实上是在两个重要的接口中定义的DataInput和DataOutput,它们的功能就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4w57rp.html" rel="bookmark">Java的简单数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据类型 数据类型就是对内存位置的抽象表达.程序员可以利用多种数据类型:某些由编程语 言定义,某些由外部库定义,还有些则由程序员来定义.很多编程语言都依赖于特定的计 算机类型和对数据类型属性的具体编译实现,比如word和integer数据类型的大小等.另 一方面,Java的虚拟机负责定义其内置数据类型的各方面内容.这就意味着不管Java虚拟 机(JVM)运行在何等低级的操作系统之上,数据类型的属性都是完全一样的. 简单数据类型 简单数据类型是不能再简化的.内置的数据类型,由编程语言定义,表示真实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXw6ojM.html" rel="bookmark">linux下java调用多行有相互依赖关系的shell命令，如何调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux下java调用多行有相互依赖关系的shell命令,如何调用 小弟想用java调用用多行有前后依赖关系的shell命令: 例如: 先process=Runtime.getRuntime().exec(&quot;mysql&quot;);进入mysql命令行 在用java给mysq命令行传mysql脚本,执行脚本命令 麻烦大家回答一下,或者给点建议意见 解决方案 linux下java调用shell和windows下java调用bat 解决方案二: 通过管道重定向来接收和处理命令 解决方案			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5VWBz.html" rel="bookmark" class="title">封装的一个asp&period;net验证码类</a>
					<div>
						第一个反映是验证码的这些属性是否可以设置(也就是说是封装成一个类,然后以暴露公有属性和方法的方式来使用的,还是在直接在一般处理程序中实现了验证码的生成到输出),结果比较可惜,是后者...... 里面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgdw1p.html" rel="bookmark" class="title">flash实例-打造鼠标触发火焰特效</a>
					<div>
						本教程为大家介绍使用Flash CS5制作鼠标触发的焰火飘落互动特效,主要是用计算鼠标跟随对象来产生具有一定规律的星火特效. 思路:导入背景素材,然后制作出焰火飘落特效.创建文档类,产生鼠标跟随的多角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBKajb.html" rel="bookmark" class="title">Fireworks 8&period;0的图像编辑面板</a>
					<div>
						第一部分:面板内容 本节主要针对几个新增的面板来进行简要的讲解,使得大家快速的对新增面板有一个全面的了解和掌控. 一.&quot;图像编辑&quot; 面板 如上图,我们可以发现,比较常见的几个位图处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7YV1b.html" rel="bookmark" class="title">当SQL Server排序时遇上了NULL值</a>
					<div>
						这是一个经常被问到的问题.尤其是客户之前使用的是Oracle,那么他在使用SQL Server的时候会有 一个疑问,就是在处理NULL值上面,SQL Server与Oracle的行为不一样 在Orac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91XAXM.html" rel="bookmark" class="title">预排序遍历树算法的图文解释</a>
					<div>
						预排序遍历树算法:modified preorder tree traversal algorithm 这个算法有如下几个数据结构 1 lft 代表左 left 2 rgt 代表右 right 3 l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK15yp.html" rel="bookmark" class="title">用扩展属性和第三方工具建立SQL Server数据字典</a>
					<div>
						数据字典是一个数据模型中数据和对象的相关描述集合,它有利于程序员和用户在创建应用程序.报 告时查阅数据和对象.当用到数据模型时,创建一个数据字典是很理想的.当数据库很小时,开发人员 经常利用内嵌的SQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7loEb.html" rel="bookmark" class="title">Photoshop怎么给人像证件照照片进行肤色美化</a>
					<div>
						  Photoshop怎么给人像证件照照片进行肤色美化          看过很多明星照,都有一个感觉,皮肤清新透亮,有光泽.再看看自己的个人照,皮肤虽然油亮但没有光泽.这个问题并不是因为你的皮肤不好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPdLWz.html" rel="bookmark" class="title">ASP常用函数&colon;WriteLn&lpar;&rpar; PrintLn&lpar;&rpar;</a>
					<div>
						 程序代码 &lt;% '功能:输出字符串加换行 '来源:http://www.cncms.com/asp.asp Function WriteLn(sString)   Response.Write ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOamDQM.html" rel="bookmark" class="title">网站设计中不可忽视的可用性</a>
					<div>
						随着互联网竞争日益激烈,同质化的网站越来越多,但只有提供了最佳用户体验的那一个才会胜出.可用性是一个设计者必须要重视的原则,来自IBM的工程师张群撰文从多个方面阐述了可用性原则在具体网站设计中的细节实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXdvep.html" rel="bookmark" class="title">Excel快速对齐图片和单元格技巧</a>
					<div>
						  1.假设置插入的图片已调整为同样大小(全部选取,统一设置高度和宽度) 2.动画中全选图片的方法是按ctrl+g组合键,打开定位窗口,然后定位条件 - 对象 3.操作的过程:先调整行高=图片高度,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42rQrM.html" rel="bookmark" class="title">Mac DNS被劫持怎么办？</a>
					<div>
						  最近小编就有收到朋友的消息说自己的网页经常会自动跳转到某些广告页面,打开比如PC6下载站和虾米音乐这些个网页,就会自动跳转到一个新的网页,已经在偏好设置里的选择了阻止弹出式窗口等各种设置还是不能解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWnNGb.html" rel="bookmark" class="title">DataV 2015双十一媒体大屏回顾&amp;amp&semi;技术分享</a>
					<div>
						今年在多个部门共同努力下,阿里集团在2015水立方双十一媒体中心立起了一块宽21米,高10米的LED大屏.DataV 数据可视化小组有幸在这么大一块画布上尽兴创作,并且在这个项目中小组第一次尝试使用了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwK9op.html" rel="bookmark" class="title">拟定一个场景，需要做多条件查询，假设先选择一个条件，查询出内容后</a>
					<div>
						问题描述 拟定一个场景,需要做多条件查询,假设先选择一个条件,查询出内容后 再选择一个条件,如何保证第二次查询是在第一次查询的基础上.用的ss2h框架 解决方案 不明白,你说的这个 可以在第二次查询的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQnkLp.html" rel="bookmark" class="title">linq关于动态升序或降序进行排序，3个字段都要</a>
					<div>
						问题描述 有3个字段要排序,但是升序或降序有参数决定本来以为可以如下if(第一个参数是升序)query=query.orderby(&quot;a&quot;)elsequery=query.Orde ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqPN4z.html" rel="bookmark" class="title">mysql-Left Join在大批量数据查询中如何优化</a>
					<div>
						问题描述 Left Join在大批量数据查询中如何优化 Left Join在大批量数据查询中如何优化?具体表现为删除left join 时间大概为3秒,加上以后的时间为13秒. 解决方案 简历索引,比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRWZEb.html" rel="bookmark" class="title">如何快速高效的进入到SAP顾问行业来，成为金领行业的一员！</a>
					<div>
						问题描述 目前,作为一个想进入到SAP顾问行业的人来说有以下3条途径可以实现:第一:找一家大型的企业从内部顾问做起,3年内部然后转外部,再做2年然后出头.第二:有一个行内很牛的顾问(6年以上)带着你做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5mx5M.html" rel="bookmark" class="title">zigbee学习之睡眠定时器</a>
					<div>
						睡眠定时器: void InitSleepTimer(void)  {      ST2 = 0x00; //设置时间     ST1 = 0x00;      ST0 = 0x00;      EA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBxVWM.html" rel="bookmark" class="title">批处理实现计算器功能代码&lpar;小结&rpar;&lowbar;DOS&sol;BAT</a>
					<div>
						一个用bat/批处理做的小计算器 这是我自己用bat/批处理做的小计算器,将后附代码直接复制到记事本里保存为.bat格式就可以使用了. 支持算式,比如输入:12+12/(7-5):但只支持整数计算,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r58wz.html" rel="bookmark" class="title">protobuf 中的嵌套消息的使用 主要对set&lowbar;allocated&lowbar;和mutable&lowbar;的使用</a>
					<div>
						protobuf的简单的使用,不过还留下了一个问题,那就是之前主要介绍的都是对简单数据的赋值,简单数据直接采用set_xx()即可,但是如果不是简单变量而是自定义的复合类型变量,就没有简单的set函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAy5Jp.html" rel="bookmark" class="title">linux下python3连接mysql数据库问题&lowbar;linux shell</a>
					<div>
						python语言的3.x完全不向前兼容,导致我们在python2.x中可以正常使用的库,到了python3就用不了了.比如说mysqldb 1.安装pymysql pymysql就是作为python3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zagnz.html" rel="bookmark" class="title">开放的生态见证企业的伟大</a>
					<div>
						对于地球上的生物而言,雨林生态有多重要? 占地球面积2%的雨林提供了全球50%的氧气:养育了50%的生物.这是天籽生物多样性发展中心创始人李旻果在第三天华为全联接大会(HUAWEI CONNECT 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xdDvb.html" rel="bookmark" class="title">qt-ubuntu14&period;04安装Qt之后新建C&plus;&plus;项目时出现了问题</a>
					<div>
						问题描述 ubuntu14.04安装Qt之后新建C++项目时出现了问题 Qt是安装的Ubuntu软件中心里的,新建项目时出现 No valid kits found. Please add a kit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL9mdM.html" rel="bookmark" class="title">php&amp;amp&semi;amp&semi;mysql 日期操作小记&lowbar;php技巧</a>
					<div>
						在时间比较查询的时候,int的效率明显更高.祥文见http://www.jb51.net/article/29767.htm 但是在做项目的时候或者直接在数据库查看数据的时候,明显这个int一看头就大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N0N9p.html" rel="bookmark" class="title">ios从服务器拿到历史记录导入demo的数据库显示问题</a>
					<div>
						问题描述 读取数据库历史记录时:如何让我发的消息显示在右边 解决方案 给message.from   和message.to  赋值解决方案二:你拉取的你们自己的服务器上的消息,那么你接收和发送是怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5WLWz.html" rel="bookmark" class="title">asp&period;net正则表达式</a>
					<div>
						一提到正则表达式,相信好多人都不会陌生,并且很多时候,我们都用过,比如说验证邮箱或者是手机号码的正确性等等,在.NET中,提供了强大的正则表达式辅助类,最主要的还是要数Regex类,利用这个类,可以非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkOa4M.html" rel="bookmark" class="title">PHP生成XML格式数据与解析xml数据程序</a>
					<div>
						先看xml文档  代码如下 复制代码 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;article&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK7yWM.html" rel="bookmark" class="title">vs2013 sp4 中的apache cordova apps 如何生成ios包</a>
					<div>
						问题描述 vs2013 sp4 中的apache cordova apps 如何生成ios包 android包可以,ios可以运行模拟器,怎么看不到生成的包. 解决方案 我这边脸模拟器都运行不了 .. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYZQrb.html" rel="bookmark" class="title">对应id显示-求方法 新手不会         写不出来</a>
					<div>
						问题描述 求方法 新手不会 写不出来 如何让一个id 对应一个栏目显示 PS:假如我获取的id是3 我要对应显示的是3栏目 获取的id是2 就显示2栏目,求方法 用的是php+smarty模版 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrX9Ep.html" rel="bookmark" class="title">企业如何避免在多云中网络集成的高昂成本</a>
					<div>
						虽然虚拟专用网络(VPN)对于多云网络很有用,但是随着应用程序从一个提供商转移到另一个供应商时,IT团队仍然需要小心谨慎,避免产生高流量费用. 多云中最重要和最复杂的概念之一是公共云提供商之间的网络集 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqNBJb.html" rel="bookmark" class="title">要求学士学位或研究生学位的职位的80&percnt;</a>
					<div>
						它们占到要求学士学位或研究生学位的职位的80%.究其原因,这是因为这些工作岗位是国家劳动力市场网上招聘的一部分.BI中文站 4月27日报道你知道什么事比在斯坦福大学获得一个学位更酷?找到一份工作.乔治 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
